@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;600&display=swap");

*,
h1,
h2,
h3,
h4,
h5,
h6,
button,
input[checkbox],
input,
select,
fieldset,
textarea {
  font-family: "Lato", sans-serif;
  border: none;
  margin: 0;
  padding: 0;
  font-style: normal;
  text-decoration: none;
  font-style: normal;
  list-style: none;
  border-radius: 0;
  scrollbar-width: none;
}

:root {
  --green: #4eaa63;
  --purple: #a265ec;
  --pink: #f449cb;
  --red: #f96060;
  --orange: #ff9318;
  --blue: #4ba8ff;
  --yellow: #fad02a;
  --offwhite: #EBEAE9;
  --white: #fff;
  --black: #222;
  --feedback-green: #62bf60;
}

.green {
  background: var(--green);
  color: var(--white);
}
.purple {
  background: var(--purple);
  color: var(--white);
}
.pink {
  background: var(--pink);
  color: var(--white);
}
.red {
  background: var(--red);
  color: var(--white);
}
.orange {
  background: var(--orange);
  color: var(--white);
}
.blue {
  background: var(--blue);
  color: var(--white);
}
.yellow {
  background: var(--yellow);
  color: var(--black);
}

/* width */
::-webkit-scrollbar {
  width: 0;
}

/* Track */
::-webkit-scrollbar-track {
  background: transparent;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

body {
  background: #EBEAE9;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: fixed;
  width: 100%;
  height: 100%;
}
main {
  min-width: 320px;
  width: 360px;
  height: calc(100% - 42px);
  background: white;
  display: block;
  position: absolute;
  border: 1px solid #222;
  overflow-y: auto;
  border-radius: 16px;
}
canvas {
  background: #a4a3a2;
  transform-origin: 0 0;
  transform: scale(0.29);
}
@media screen and (max-width: 460px) and (orientation: portrait) {
  main {
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 0;
  }
  canvas {
    transform: scale(var(--canvas-scale));
  }
}
@media screen and (max-height: 460px) and (orientation: landscape) {
  main {
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 0;
  }
  canvas {
    transform: scale(var(--canvas-scale));
  }
}

h1,
h3 {
  font-size: 24px;
  font-weight: 600;
  line-height: 28px;
}
h2 {
  margin-top: 8px;
  margin-bottom: 8px;
  font-size: 20px;
  font-weight: 600;
  line-height: 28px;
}
hr {
  width: 100%;
  height: 0;
  border-bottom: 1px solid #d1cfcd;
}
p {
  font-style: normal;
  line-height: 20px;
  font-weight: 400;
  font-size: 14px;
  color: #222222;
  margin-top: 8px;
  margin-bottom: 8px;
}
br {
  display: block;
  width: 100%;
  content: "";
}
br.md {
  height: 32px;
}
br.sm {
  height: 16px;
}
br.xxlg {
  height: 66px;
}
br.xxxlg {
  height: 100px;
}
aside {
  padding: 24px;
  border-radius: 16px;
  background: #EBEAE9;
  position: relative;
}
aside > :first-child {
  margin-top: 0;
}
aside > :last-child {
  margin-bottom: 0;
}
aside.inverse {
  color: var(--white);
  background: var(--black);
}
aside.inverse p {
  color: var(--white);
  background: var(--black);
}
aside.inverse .button {
  color: var(--black);
  background: var(--white);
}
aside q:before,
aside q:after {
  content: "";
}
aside q {
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  text-overflow: ellipsis;
  display: block;
  width: 100%;
  overflow: hidden;
  height: 1.5em;
}
svg {
  display: block;
}
header {
  background-image: linear-gradient(180deg, transparent, white 50%),
    url("https://assets.codepen.io/7103523/bgsnakepain.png");
  height: 342px;
  width: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin-bottom: -10em;
}

.switch {
  display: block;
  position: relative;
  overflow: hidden;
  width: 50px;
  height: 30px;
}
.switch input {
  position: absolute;
  left: -200px;
}
.switch div {
  display: block;
  position: relative;
  width: 50px;
  height: 30px;
  background: rgba(120, 120, 128, 0.16);
  border-radius: 30px;
  overflow: hidden;
  padding: 0;
  transition: background-color 50ms ease-in;
}
.switch div:after {
  content: "";
  height: 28px;
  width: 28px;
  background-color: white;
  margin: 1px;
  display: block;
  position: relative;
  transform: translatex(0);
  transition: transform 100ms ease-in-out;
  border-radius: 100%;
  box-shadow: 0px 0.1px 0.3px rgba(0, 0, 0, 0.1), 0px 1px 2px rgba(0, 0, 0, 0.2);
}
.switch input:checked + div:after {
  transform: translatex(20px);
}
.switch input:checked + div {
  background-color: #34c759;
}

@keyframes loading {
  0% {
    background-position: 100% 100%;
  }
  100% {
    background-position: 0% 0%;
  }
}

figure {
  margin: 0;
  padding: 0;
  border-radius: 9px;
  background-color: rgba(120, 120, 128, 0.16);
  background-repeat: repeat;
  background-image: linear-gradient(
    120deg,
    transparent 0%,
    transparent 15%,
    white 30%,
    transparent 80%
  );
  background-size: 500% 500%;
  overflow: hidden;
  position: relative;
  display: block;
  animation: loading 2s infinite linear;
  width: 100%;
  padding-top: 100%;
}
figure img {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  margin: auto;
  width: 100%;
  height: 100%;
}
figure:active {
  transform: scale(0.95);
}

.button {
  cursor: pointer;
  position: relative;
  display: flex;
  flex-direction: row;
  padding: 16px 24px;
  font-size: 14px;
  border-radius: 50px;
  background: #222;
  border: none;
  color: white;
  justify-content: space-between;
  align-items: center;
  background-position: center;
  transition: background 0.8s;
  box-sizing: border-box;
  text-align: center;
}
.button.secondary {
  background: none;
  color: #222;
  text-decoration: underline;
}
.button span:first-child {
  flex: auto;
  width: max-content;
  flex-shrink: 0;
}
.button span:nth-child(2) {
  width: 100%;
  display: flex;
  justify-content: right;
  margin-left: 24px;
  max-height: 14px;
}
.button span:empty + span {
  margin: 0;
}
.button:disabled {
  background: #a4a3a2;
}
@keyframes ripple {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  60% {
    opacity: 1;
  }
  100% {
    transform: scale(400%);
    opacity: 0;
  }
}

.button:not(:disabled, .secondary):hover {
  background: #333 radial-gradient(circle, transparent 1%, #333 1%)
    center/15000%;
}
.button:not(:disabled, .secondary):active {
  background-color: rgba(144, 143, 120, 0.95);
  background-size: 100%;
  transition: background 0s;
}

.inverse .button:not(:disabled, .secondary):hover {
  filter: bright(0.9);
  background: var(--offwhite)
    radial-gradient(circle, transparent 1%, var(--offwhite) 1%) center/15000%;
}
.inverse .button:not(:disabled, .secondary):active {
  background-color: rgba(255, 255, 255, 0.15);
  background-size: 100%;
  transition: background 0s;
}

.container {
  padding: 16px 24px;
}
.flex {
  display: flex;
  gap: 16px;
}
nav {
  padding: 26px 31px;
}

fieldset {
  display: flex;
  flex-direction: column;
  position: relative;
}
fieldset label {
  font-size: 12px;
}
fieldset input {
  border-bottom: 1px solid #222;
  outline: 0;
  font-weight: 600;
  font-size: 18px;
  padding-bottom: 8px;
  width: 100%;
}

fieldset .switch + input {
  display: none;
}
fieldset .switch + input {
  display: none;
}
fieldset input + hr {
  display: block;
  border-bottom: 2px solid #222;
  position: absolute;
  width: 100%;
  height: 0px;
  background: red;
  bottom: 0;
  transform: scalex(0);
  transition: transform 300ms ease-in-out;
}
fieldset input:focus + hr {
  transform: scalex(1);
}
fieldset label span {
  color: #a4a3a2;
  margin-left: 4px;
}
fieldset .switch {
  position: absolute;
  right: 0;
  top: -6px;
}
fieldset .active-true + input {
  display: inline;
}

ul {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr 1fr;
  gap: 16px;
}
ul > li {
  display: flex;
  justify-content: center;
  align-items: center;
}
.aspect {
  width: 100%;
  position: relative;
}
.aspect:before {
  content: "";
  position: relative;
  display: block;
  padding-top: 100%; /* 1:1 Aspect Ratio */
}
.aspect .content {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  line-height: 100%;
  height: 100%;
}
article {
  height: auto;
  min-height: calc(100% - 25px);
  position: relative;
  padding-bottom: 40px;
  box-sizing: border-box;
}
footer {
  text-indent: -20%;
  display: flex;
  justify-content: center;
  width: 320px;
  text-align: center;
  padding: 16px;
  height: 25px;
  left: 0;
  right: 0;
  margin: auto;
  color: #222;
}

@keyframes breathing {
  0% {
    transform: scale(0.95);
  }

  25% {
    transform: scale(1);
  }

  60% {
    transform: scale(0.9);
  }

  100% {
    transform: scale(0.95);
  }
}

.breathing {
  animation: breathing 3s ease-in-out infinite normal;
}

.summary li {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.summary li div {
  display: flex;
}
.summary li div:first-child {
  flex: auto;
  width: 100%;
  flex-direction: column;
}

.summary li div:first-child :first-child {
  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
}
.summary li div:first-child :last-child {
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
}

.summary li div:last-child {
  flex-direction: row;
  align-items: center;
}

.pill {
  text-align: center;
  border-radius: 1em;
  display: inline-flex;
  height: 2em;
  width: 2em;
  align-items: center;
  justify-content: center;
  margin-right: -0.5em;
  border: 1px solid white;
  font-size: 10px;
  white-space: nowrap;
}
.pill:last-child {
  margin-right: 0;
}
.pill.long {
  width: auto;
  padding: 0 1em;
  max-width: 100px;
  overflow: hidden;
  text-overflow: ellipsis;
}
.cover {
  margin-top: -2em;
  position: relative;
}
.fading {
  position: relative;
  opacity: 0.5;
}
.fading ::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  right: 0;
  opacity: 0.1;
  background: linear-gradient(0deg, var(--white), transparent);
}

@keyframes snack {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.snackbar {
  display: flex;
  width: auto;
  padding: 1em;
  background: var(--feedback-green);
  text-align: center;
  border-radius: 16px;
  height: calc(100% - 2em);
  position: absolute;
  opacity: 0;
  top: 0;
  left: 0;
  right: 0;
  color: var(--black);
  align-items: center;
  font-size: 14px;
}
.snackbar:not(:empty) {
  animation: snack 2s ease-in-out;
}
.viewport {
  display: block;
}
.viewport.v80 {
  min-height: 80vh;
}

.cookies-warning > div {
  position: fixed;
  width: 290px;
  font-size: 14px;
  background: white;
  display: flex;
  padding: 16px;
  left: 0;
  bottom: 0;
  right: 0;
  flex-direction: column;
  top: 0;
  height: 260px;
  margin: auto;
  border-radius: 16px;
  text-align: center;
  z-index: 2;
}
.cookies-warning:before {
  content: "";
  background: rgba(0, 0, 0, 0.3);
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  display: block;
  z-index: 0;
}

.gateway-error {
  font-size: 12px;
  color: var(--red);
  font-weight: 700;
}

.error-container {
  padding: 0px 24px;
}
